﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using TestMySQL01.Data;
using System.Data.Objects;
using System.Text;


namespace TestMySQL01
{
    public partial class TestForm1 : System.Web.UI.Page
    {
        readonly StringBuilder traceMessages = new StringBuilder();
        readonly ExtendedTestEntities context = new ExtendedTestEntities();

        protected void Page_Load(object sender, EventArgs e)
        {
            EFTracingProvider.EFTracingProviderConfiguration.LogToConsole = false;
            context.CommandExecuting += context_CommandExecuting;

            lblMessage.Text = "";
            lblTrace.Text = "";
        }

        protected void btnTest1_Click(object sender, EventArgs e)
        {
            Random rnd = new Random();

            try
            {
                tablewithtimestamp record = new tablewithtimestamp();
                record.value = String.Format("a value: {0}", rnd.Next(100));
                context.AddTotablewithtimestamps(record);

                context.SaveChanges();

                lblMessage.Text = String.Format("Value from Database: [{0}]", record.a_timestamp_field.ToString());
            }
            catch (Exception ex)
            {
                lblMessage.Text = ex.Message;
            }

            lblTrace.Text = traceMessages.ToString();
        }

        protected void btnTest2_Click(object sender, EventArgs e)
        {
            Random rnd = new Random();

            try
            {
                tablewithtimestamp_null record = new tablewithtimestamp_null();
                record.value = String.Format("a value: {0}", rnd.Next(100));
                context.AddTotablewithtimestamp_null(record);

                context.SaveChanges();

                lblMessage.Text = String.Format("Value from Database: [{0}]", record.a_timestamp_field.ToString());
            }
            catch (Exception ex)
            {
                lblMessage.Text = ex.Message;
            }

            lblTrace.Text = traceMessages.ToString();
        }

        void context_CommandExecuting(object sender, EFTracingProvider.CommandExecutionEventArgs e)
        {
            traceMessages.AppendLine("-------------------------");
            traceMessages.AppendLine(e.ToTraceString());
        }

        protected void btnTest3_Click(object sender, EventArgs e)
        {
            Random rnd = new Random();

            try
            {
                tablewithouttimestamp record = new tablewithouttimestamp();
                record.value = String.Format("a value: {0}", rnd.Next(100));
                context.AddTotablewithouttimestamps(record);

                context.SaveChanges();

                lblMessage.Text = String.Format("Value from Database: [{0}]", record.a_default_value);
            }
            catch (Exception ex)
            {
                lblMessage.Text = ex.Message;
            }

            lblTrace.Text = traceMessages.ToString();

        }

        protected void btnTest4_Click(object sender, EventArgs e)
        {
            Random rnd = new Random();

            try
            {
                tablewithouttimestamp_withtrigger record = new tablewithouttimestamp_withtrigger();
                record.value = String.Format("a value: {0}", rnd.Next(100));
                context.AddTotablewithouttimestamp_withtrigger(record);

                context.SaveChanges();

                lblMessage.Text = String.Format("Value from Database: [{0}]", record.a_calculated_value);
            }
            catch (Exception ex)
            {
                lblMessage.Text = ex.Message;
            }

            lblTrace.Text = traceMessages.ToString();

        }

    }
}